export interface MQTTHubMessage {
    userId?: string;
    routingKey?: string;
    messageContent?: {
        [key: string]: any;
    };
}
export interface MQTTHubOptions {
    user?: string;
    pass?: string;
    host: string;
    port?: number;
    exchange: string;
    onMessage?: (message: MQTTHubMessage) => Promise<void>;
}
export declare class MQTTHub {
    private client;
    private options;
    constructor(options: MQTTHubOptions);
    private onMessage;
    setup(): Promise<void>;
    subscribe(): Promise<void>;
}
